VectorLinux

General Announcements => VL package news and Updates => Topic started by: exeterdad on June 01, 2008, 09:08:26 am

Title: 080601 8Kingdoms-1.1.0 [VL59]
Post by: exeterdad on June 01, 2008, 09:08:26 am
8Kingdoms-1.1.0 has been packaged for VL59

Package: 8Kingdoms-1.1.0-i586-1vl59.tlz
Sources: http://vectorlinux.osuosl.org/veclinux-5.9/source/testing/games/8Kingdoms
Quote
8Kingdoms: 8Kingdoms (3D turn-based fantasy strategic game)
8Kingdoms:
8Kingdoms: 8 Kingdoms is a 3D turn-based fantasy strategic game in which players
8Kingdoms: become kings, build their empires and conquer enemy kingdoms.
8Kingdoms:
8Kingdoms:
8Kingdoms:
8Kingdoms:
8Kingdoms: License: GPL 2.0
8Kingdoms: Authors: Many, please see authors.html in docs
8Kingdoms: Website: http://kralovstvi.sourceforge.net/

After testing this package, please take a moment and come back to this thread to let us know how it works for you.
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: budulay on July 29, 2008, 03:49:12 pm
Hi
I tryed to install this one, but received this error:
root:# 8Kingdoms
gui/GUI.cpp (270): TGUI(): gui environment initialization failed
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: exeterdad on July 30, 2008, 05:10:25 am
I see you are running as root. What does it do as normal user?
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: budulay on July 30, 2008, 02:41:22 pm
it gives me exect same thing:
svyatsky:$ 8Kingdoms
gui/GUI.cpp (270): TGUI(): gui environment initialization failed
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: exeterdad on July 30, 2008, 04:04:54 pm
Hmmmn.  I have no idea what's going on. It was packaged on a clean 5.9 Standard chroot.  And I tested it on my 5.9 Standard install before I uploaded. I can't remember if that game requires a 3D rendering or not. And I can't find that error anywhere on Google.

Anyone else have any input on this game??
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: wcs on August 02, 2008, 11:06:23 am
Interesting one.
Starting it (icon or console) gives me a black monitor with an "Input signal out of range" message from which it is impossible to get out.

I tried executing some commands "in the dark" but nothing worked except a power button press.

The second try, same thing happened, but I opened another terminal session (or whatever they're called -- Ctrl + Alt + F1) and from there killed 8Kingdoms, which still didn't work. Then killed xinitrc and that allowed me to login in X again.

Crazy, no?
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: exeterdad on August 02, 2008, 01:37:40 pm
That is Crazy.
What happens when you delete /home/YOU/.8Kingdoms folder?  Possibly a config got corrupt?

I just installed again via Gslapt.  But not a good test as it's running on the same machine that built it.  Although I only package from chroot, so only the hardware is the same. I don't know (or care) how to play the game. But it seems to run fine for me.
Title: Re: 080601 8Kingdoms-1.1.0 [VL59]
Post by: wcs on August 02, 2008, 03:07:06 pm
Note that this message comes from the monitor itself.
It's the same thing that happens when, say, the refresh rates or resolutions cannot be handled by the monitor.

I'll do that test you suggested. Perhaps there is a config file inside .8Kingdoms that I can change to get some parameters that suit my monitor.

Thanks.